clang-tools 6.0.0

Classes | Namespaces
UndefinedMemoryManipulationCheck.h File Reference
`#include "../ClangTidy.h"`
Include dependency graph for UndefinedMemoryManipulationCheck.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::tidy::bugprone::UndefinedMemoryManipulationCheck
| Finds calls of memory manipulation functions `memset()`, `memcpy()` and `memmove()` on not TriviallyCopyable objects resulting in undefined behavior. More...

## Namespaces
| clang
| clang::tidy
| clang::tidy::bugprone